<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@8002=62</action> <!-- Insert an extra credit with 63 and it can go back to displaying 00 -->
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mb@3727</action>
    </script>
    <script state="run">
      <action>maincpu.mb@3727=C3</action>
    </script>
    <script state="off">
      <action>maincpu.mb@3727=temp0 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@84CF=07</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Round PL1">
    <parameter min="1" max="99" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@8009==01)">maincpu.pb@8009=(param)</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@84D0=07</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Round PL2">
    <parameter min="1" max="99" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@800A==01)">maincpu.pb@800A=(param)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test">
    <parameter min="1" max="25" step="1"/>
    <script state="change">
      <action>maincpu.pb@B400=param-1</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
